Themes
BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/themes' \ -H 'Authorization: Bearer <access-token>'[ { "automaticNameForNewProductFromGroup": true, "automaticNameForNewProductFromSubGroup": true, "automaticNameForNewProductFromSupplierCode": true, "automaticNameForNewProductFromTheme": true, "baseVatRateId": 0, "canBeInsured": true, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "colorInteger": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "hideOnTouchScreen": true, "id": 0, "intakePriceBasedOnCoefficient": true, "isOnPosYes": true, "lastModify": "2019-08-24T14:15:22Z", "materialId": 0, "materialPurityId": 0, "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "spdControl": true, "themeCode": "string", "themeName": "string", "themeNameForEshop": "string", "userId": 0, "vatRate": 0 }]BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
automaticNameForNewProductFromGroup?boolean|nullautomaticNameForNewProductFromSubGroup?boolean|nullautomaticNameForNewProductFromSupplierCode?boolean|nullautomaticNameForNewProductFromTheme?boolean|nullbaseVatRateId?|int32canBeInsured?boolean|nullcoefficient1?|decimalcoefficient10?|decimalcoefficient11?|decimalcoefficient12?|decimalcoefficient13?|decimalcoefficient14?|decimalcoefficient15?|decimalcoefficient2?|decimalcoefficient3?|decimalcoefficient4?|decimalcoefficient5?|decimalcoefficient6?|decimalcoefficient7?|decimalcoefficient8?|decimalcoefficient9?|decimalcolorInteger?|int32createdAt?|date-timedescription?|length <= 80hideOnTouchScreen?boolean|nullid?|int32intakePriceBasedOnCoefficient?boolean|nullisOnPosYes?boolean|nulllastModify?|date-timematerialId?|int32materialPurityId?|int32posCreditPaymentForbidden?boolean|nullrecyclingFeeId?|int32spdControl?boolean|nullthemeCode?|length <= 10themeName?|length <= 80themeNameForEshop?|length <= 120userId?|Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.
int32vatRate?|Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.
decimalapplication/json- response
automaticNameForNewProductFromGroup?boolean|nullautomaticNameForNewProductFromSubGroup?boolean|nullautomaticNameForNewProductFromSupplierCode?boolean|nullautomaticNameForNewProductFromTheme?boolean|nullbaseVatRateId?|int32canBeInsured?boolean|nullcoefficient1?|decimalcoefficient10?|decimalcoefficient11?|decimalcoefficient12?|decimalcoefficient13?|decimalcoefficient14?|decimalcoefficient15?|decimalcoefficient2?|decimalcoefficient3?|decimalcoefficient4?|decimalcoefficient5?|decimalcoefficient6?|decimalcoefficient7?|decimalcoefficient8?|decimalcoefficient9?|decimalcolorInteger?|int32createdAt?|date-timedescription?|length <= 80hideOnTouchScreen?boolean|nullid?|int32intakePriceBasedOnCoefficient?boolean|nullisOnPosYes?boolean|nulllastModify?|date-timematerialId?|int32materialPurityId?|int32posCreditPaymentForbidden?boolean|nullrecyclingFeeId?|int32spdControl?boolean|nullthemeCode?|length <= 10themeName?|length <= 80themeNameForEshop?|length <= 120userId?|Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.
int32vatRate?|Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.
decimalcurl -X POST 'https://<your-instance>/api/item-lists/themes' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "automaticNameForNewProductFromGroup": true, "automaticNameForNewProductFromSubGroup": true, "automaticNameForNewProductFromSupplierCode": true, "automaticNameForNewProductFromTheme": true, "baseVatRateId": 0, "canBeInsured": true, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "colorInteger": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "hideOnTouchScreen": true, "id": 0, "intakePriceBasedOnCoefficient": true, "isOnPosYes": true, "lastModify": "2019-08-24T14:15:22Z", "materialId": 0, "materialPurityId": 0, "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "spdControl": true, "themeCode": "string", "themeName": "string", "themeNameForEshop": "string", "userId": 0, "vatRate": 0}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32application/json- response
automaticNameForNewProductFromGroup?boolean|nullautomaticNameForNewProductFromSubGroup?boolean|nullautomaticNameForNewProductFromSupplierCode?boolean|nullautomaticNameForNewProductFromTheme?boolean|nullbaseVatRateId?|int32canBeInsured?boolean|nullcoefficient1?|decimalcoefficient10?|decimalcoefficient11?|decimalcoefficient12?|decimalcoefficient13?|decimalcoefficient14?|decimalcoefficient15?|decimalcoefficient2?|decimalcoefficient3?|decimalcoefficient4?|decimalcoefficient5?|decimalcoefficient6?|decimalcoefficient7?|decimalcoefficient8?|decimalcoefficient9?|decimalcolorInteger?|int32createdAt?|date-timedescription?|length <= 80hideOnTouchScreen?boolean|nullid?|int32intakePriceBasedOnCoefficient?boolean|nullisOnPosYes?boolean|nulllastModify?|date-timematerialId?|int32materialPurityId?|int32posCreditPaymentForbidden?boolean|nullrecyclingFeeId?|int32spdControl?boolean|nullthemeCode?|length <= 10themeName?|length <= 80themeNameForEshop?|length <= 120userId?|Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.
int32vatRate?|Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.
decimalcurl -X GET 'https://<your-instance>/api/item-lists/themes/0' \ -H 'Authorization: Bearer <access-token>'{ "automaticNameForNewProductFromGroup": true, "automaticNameForNewProductFromSubGroup": true, "automaticNameForNewProductFromSupplierCode": true, "automaticNameForNewProductFromTheme": true, "baseVatRateId": 0, "canBeInsured": true, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "colorInteger": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "hideOnTouchScreen": true, "id": 0, "intakePriceBasedOnCoefficient": true, "isOnPosYes": true, "lastModify": "2019-08-24T14:15:22Z", "materialId": 0, "materialPurityId": 0, "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "spdControl": true, "themeCode": "string", "themeName": "string", "themeNameForEshop": "string", "userId": 0, "vatRate": 0}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32application/json- body
automaticNameForNewProductFromGroup?boolean|nullautomaticNameForNewProductFromSubGroup?boolean|nullautomaticNameForNewProductFromSupplierCode?boolean|nullautomaticNameForNewProductFromTheme?boolean|nullbaseVatRateId?|int32canBeInsured?boolean|nullcoefficient1?|decimalcoefficient10?|decimalcoefficient11?|decimalcoefficient12?|decimalcoefficient13?|decimalcoefficient14?|decimalcoefficient15?|decimalcoefficient2?|decimalcoefficient3?|decimalcoefficient4?|decimalcoefficient5?|decimalcoefficient6?|decimalcoefficient7?|decimalcoefficient8?|decimalcoefficient9?|decimalcolorInteger?|int32createdAt?|date-timedescription?|length <= 80hideOnTouchScreen?boolean|nullid?|int32intakePriceBasedOnCoefficient?boolean|nullisOnPosYes?boolean|nulllastModify?|date-timematerialId?|int32materialPurityId?|int32posCreditPaymentForbidden?boolean|nullrecyclingFeeId?|int32spdControl?boolean|nullthemeCode?|length <= 10themeName?|length <= 80themeNameForEshop?|length <= 120userId?|Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.
int32vatRate?|Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.
decimalapplication/json- response
automaticNameForNewProductFromGroup?boolean|nullautomaticNameForNewProductFromSubGroup?boolean|nullautomaticNameForNewProductFromSupplierCode?boolean|nullautomaticNameForNewProductFromTheme?boolean|nullbaseVatRateId?|int32canBeInsured?boolean|nullcoefficient1?|decimalcoefficient10?|decimalcoefficient11?|decimalcoefficient12?|decimalcoefficient13?|decimalcoefficient14?|decimalcoefficient15?|decimalcoefficient2?|decimalcoefficient3?|decimalcoefficient4?|decimalcoefficient5?|decimalcoefficient6?|decimalcoefficient7?|decimalcoefficient8?|decimalcoefficient9?|decimalcolorInteger?|int32createdAt?|date-timedescription?|length <= 80hideOnTouchScreen?boolean|nullid?|int32intakePriceBasedOnCoefficient?boolean|nullisOnPosYes?boolean|nulllastModify?|date-timematerialId?|int32materialPurityId?|int32posCreditPaymentForbidden?boolean|nullrecyclingFeeId?|int32spdControl?boolean|nullthemeCode?|length <= 10themeName?|length <= 80themeNameForEshop?|length <= 120userId?|Last modifier, stamped by the server on insert and update; a client-supplied value is discarded.
int32vatRate?|Server-owned copy of the base VAT rate's value; a client-supplied value is discarded.
decimalcurl -X PATCH 'https://<your-instance>/api/item-lists/themes/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "automaticNameForNewProductFromGroup": true, "automaticNameForNewProductFromSubGroup": true, "automaticNameForNewProductFromSupplierCode": true, "automaticNameForNewProductFromTheme": true, "baseVatRateId": 0, "canBeInsured": true, "coefficient1": 0, "coefficient10": 0, "coefficient11": 0, "coefficient12": 0, "coefficient13": 0, "coefficient14": 0, "coefficient15": 0, "coefficient2": 0, "coefficient3": 0, "coefficient4": 0, "coefficient5": 0, "coefficient6": 0, "coefficient7": 0, "coefficient8": 0, "coefficient9": 0, "colorInteger": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "hideOnTouchScreen": true, "id": 0, "intakePriceBasedOnCoefficient": true, "isOnPosYes": true, "lastModify": "2019-08-24T14:15:22Z", "materialId": 0, "materialPurityId": 0, "posCreditPaymentForbidden": true, "recyclingFeeId": 0, "spdControl": true, "themeCode": "string", "themeName": "string", "themeNameForEshop": "string", "userId": 0, "vatRate": 0}BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerint32curl -X DELETE 'https://<your-instance>/api/item-lists/themes/0' \ -H 'Authorization: Bearer <access-token>'